The "Create White-label Integration Provider" API allows adding a new payment provider integration to the system which is built on top of Authorize.net or NMI. Use this endpoint to create a integration provider with the specified details. Ensure that the required information is provided in the request payload. This endpoint can be only invoked using marketplace-app token

http
POST https://services.leadconnectorhq.com/payments/integrations/provider/whitelabel

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9caccount Id / company Id based on altType
altTypestringYesaccountAlt Type Possible values: 'account'
uniqueNamestringYeseasy-directA unique name given to the integration provider, uniqueName must start and end with a character. Only lowercase characters and hyphens (-) are supported
titlestringYesTitleThe title or name of the integration provider.
providerstringYesThe type of payment provider associated with the integration provider. Possible values: 'authorize-net', 'nmi'
descriptionstringYesDescriptionA brief description providing additional information about the integration provider.
imageUrlstringYeshttps://example.com/image.jpgThe URL to an image representing the integration provider. The imageUrl should start with "https://" and ensure that this URL is publicly accessible.

Responses

200 - Successful response
  • _id (string, required): The unique identifier of the integration provider. Example: 65cb47dda50f4f13ced4b870

  • altId (string, required): The altId / locationId of the integration provider. Example: Z4Bxl8J4SaPEPLq9IQ8g

  • altType (string, required): The altType of the integration provider. Example: account

  • title (string, required): The title or name of the integration provider. Example: Example

  • route (string, required): The route name associated with the integration provider. Example: epd

  • provider (string, required): The payment provider associated with the integration provider. Example: nmi

  • description (string, required): A brief description providing additional information about the integration provider. Example: Lorem

  • imageUrl (string, required): The URL to an image representing the integration provider. Example: https://example.com/assets/pmd/img/payments/nmi-logo.webp

  • createdAt (string, required): The timestamp when the integration provider was created. Example: 2024-02-13T10:43:41.026Z

  • updatedAt (string, required): The timestamp when the integration provider was last updated. Example: 2024-02-13T10:43:41.026Z

json
{
  "_id": "65cb47dda50f4f13ced4b870",
  "altId": "Z4Bxl8J4SaPEPLq9IQ8g",
  "altType": "account",
  "title": "Example",
  "route": "epd",
  "provider": "nmi",
  "description": "Lorem",
  "imageUrl": "https://example.com/assets/pmd/img/payments/nmi-logo.webp",
  "createdAt": "2024-02-13T10:43:41.026Z",
  "updatedAt": "2024-02-13T10:43:41.026Z"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/payments/integrations/provider/whitelabel' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "uniqueName": "easy-direct",
  "title": "Title",
  "provider": {
    "AUTHORIZE_NET": "authorize-net",
    "NMI": "nmi"
  },
  "description": "Description",
  "imageUrl": "https://example.com/image.jpg"
}'

Last updated October 26, 2026

Was this page helpful?